//
//  ViewController.swift
//  TpmsBleSDKDemo_iOS
//
//  Created by ZZD on 2023/6/26.
//

import UIKit

class ViewController: UIViewController, ELTPMSBleManagerDelegate {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        ELTPMSBleManager.share().delegate = self
        ELTPMSBleManager.share().startScan()
    }

    // MARK: ELTPMSBleManagerDelegate
    func tpmsBleManagerUpdateBleState(_ state: TPMSBluetoothState) {
        print("tpmsBleManagerUpdateBleState = \(state)")
    }
    
    func tpmsBleManagerReceiveData(_ model: ELTPMSDataModel) {
        print("tpmsBleManagerReceiveData = \(model.description)")
    }
}

